> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Deposit Summary: MRI

PUT https://api.propexo.com/v1/deposit-summaries/mri/{deposit_summary_id}
Content-Type: application/json

Update Deposit Summary: MRI. This endpoint will initiate a deposit summary as paid.

| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMAP_PayInvoice |

Reference: https://docs.propexo.com/api-reference/mri/deposit-summaries/update-deposit-summary-mri

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `deposit_summary_id` (string, required) — The Propexo unique identifier for the deposit summary

### Body (application/json)

This endpoint expects a _v1_deposit-summaries_mri_{deposit_summary_id}_put_input.

- `check_number` (string, required) — The check number
- `post_month` (V1DepositSummariesMriDepositSummaryIdPutInputPostMonth, required) — The post month of the check.
- `payment_date` (V1DepositSummariesMriDepositSummaryIdPutInputPaymentDate, required) — The payment date of the check.

## Response

### 200

Successful response

- `meta` (V1DepositSummariesMriDepositSummaryIdPutOutputMeta, required)
- `result` (V1DepositSummariesMriDepositSummaryIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1DepositSummariesMriDepositSummaryIdPutInputPostMonth

The post month of the check.

### V1DepositSummariesMriDepositSummaryIdPutInputPaymentDate

The payment date of the check.

### V1DepositSummariesMriDepositSummaryIdPutOutputMeta

- `job_id` (string, required)

### V1DepositSummariesMriDepositSummaryIdPutOutputResult

- `deposit_summary_id` (string, required) — The Propexo unique identifier for the deposit summary
- `check_number` (string, required) — The check number
- `post_month` (V1DepositSummariesMriDepositSummaryIdPutOutputResultPostMonth, required) — The post month of the check.
- `payment_date` (V1DepositSummariesMriDepositSummaryIdPutOutputResultPaymentDate, required) — The payment date of the check.

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1DepositSummariesMriDepositSummaryIdPutOutputResultPostMonth

The post month of the check.

### V1DepositSummariesMriDepositSummaryIdPutOutputResultPaymentDate

The payment date of the check.

## Examples

**Request**

```json
{
  "check_number": "CHK123456",
  "post_month": "2024-01-15",
  "payment_date": "2024-01-15"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b"
  },
  "result": {
    "deposit_summary_id": "dep-7a8b9c0d-1234-4e56-8a9b-0c1d2e3f4a5b",
    "check_number": "CHK123456",
    "post_month": "2024-01-15",
    "payment_date": "2024-01-15"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/deposit-summaries/mri/deposit_summary_id"

payload = {
    "check_number": "CHK123456",
    "post_month": "2024-01-15",
    "payment_date": "2024-01-15"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/deposit-summaries/mri/deposit_summary_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"check_number":"CHK123456","post_month":"2024-01-15","payment_date":"2024-01-15"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/deposit-summaries/mri/deposit_summary_id"

	payload := strings.NewReader("{\n  \"check_number\": \"CHK123456\",\n  \"post_month\": \"2024-01-15\",\n  \"payment_date\": \"2024-01-15\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/deposit-summaries/mri/deposit_summary_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"check_number\": \"CHK123456\",\n  \"post_month\": \"2024-01-15\",\n  \"payment_date\": \"2024-01-15\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/deposit-summaries/mri/deposit_summary_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"check_number\": \"CHK123456\",\n  \"post_month\": \"2024-01-15\",\n  \"payment_date\": \"2024-01-15\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/deposit-summaries/mri/deposit_summary_id', [
  'body' => '{
  "check_number": "CHK123456",
  "post_month": "2024-01-15",
  "payment_date": "2024-01-15"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/deposit-summaries/mri/deposit_summary_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"check_number\": \"CHK123456\",\n  \"post_month\": \"2024-01-15\",\n  \"payment_date\": \"2024-01-15\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "check_number": "CHK123456",
  "post_month": "2024-01-15",
  "payment_date": "2024-01-15"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/deposit-summaries/mri/deposit_summary_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```